mod tcp_server;

use tcp_server::TcpServer;

pub(crate) struct NetworkService;

impl NetworkService {
    pub(crate) async fn init() {
        log::info!("Starting network service...");

        tokio::spawn(async { TcpServer::init().await });

        log::info!("network service successfully started!");
    }
}
